<?php
# МОД СЫВОРАТКА ПРАВДЫ
# KAZAMA
# 383991000
error_reporting(0);
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Создание игры';
include_once '../sys/inc/thead.php';
title();
err();
aut();

if (isset($user)&&$user[level]>=3){
if (isset($_GET['set']) && isset($_POST['ok']))
{
$name=mysql_real_escape_string(esc(stripcslashes(htmlspecialchars($_POST['name']))));
if (strlen2($name)<3)$err='Короткий вопрос!';
if (strlen2($name)>1500)$err='В вопросе не должно быть длиннее 150-х символов!';
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `sivor` WHERE `name` = '$name'"),0)!=0)$err='Такой вапрос уже есть!';
if (!isset($err))
{
mysql_query("INSERT INTO `sivor` (`name`) VALUES  ('$name') ");
msg('Вы успешно добавили вопрос!');
}
}

if (isset($_GET['del']))
{
mysql_query("DELETE FROM `sivor` WHERE `id` = '".mysql_escape_string($_GET['del'])."'");
msg('Вы успешно удалили вопрос!');
}
if (isset($_GET['editt']))
{
$name=mysql_real_escape_string(esc(stripcslashes(htmlspecialchars($_POST['name']))));
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `sivor` WHERE `name` = '$name'"),0)!=0)$err='Такой вапрос уже есть!';
if (!isset($err))
{
mysql_query("UPDATE `sivor` SET `name` = '$name' WHERE `id` = '".$_GET['editt']."' LIMIT 1");
msg('Вы успешно изменили вопрос!');
header("Location: ?page=".$_GET['page']."&sett");
}
}
if (isset($_GET['sett']))msg('Успешно выполнено!');
err();
echo "<div class='menu'>\n";
if (isset($_GET['edit'])&&$_GET['edit']!=0)
{
$q_id=mysql_fetch_array(mysql_query("SELECT * FROM `sivor` WHERE `id` = '".$_GET['edit']."' LIMIT 1"));
echo "<form method='post' action='?page=".$_GET['page']."&editt=$q_id[id]'><div>\n";
echo "Вопрос :<br /><input type='text' name='name' value='$q_id[name]' maxlength='1500' /><br />";
echo "<input class='doctor' type='submit' name='ok' value='Изменить' />\n";
echo "</form>\n";
}else{
echo "<form method='post' action='?set'><div>\n";
echo "Вопрос :<br /><input type='text' name='name' value='' maxlength='1500' /><br />";
echo "<input class='doctor' type='submit' name='ok' value='Добавить' />\n";
echo "</form>\n";

}
echo "</div>\n";



$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `sivor`"), 0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)echo '<div class="menu">Нет вопросов!</div>';
$q = mysql_query("SELECT * FROM `sivor` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while ($f = mysql_fetch_array($q))
{

echo "<div class='p_m'>";
echo "$f[name]<br/><a href='?page=$page&edit=$f[id]'>Изменить </a>|<a href='?page=$page&del=$f[id]'><font color='red'>Удалить</font></a>\n";
echo "</div>";


}


echo "<div class='foot'>";
if ($k_page>1)str("?",$k_page,$page); // Вывод страниц
echo "</div>";

echo "</div>";
}else echo 'а ты что здесь забыл?';

echo "<div class='foot'>";
echo "&#171; <a href='index.php'>Назад</a><br/>";
echo "</div>";

include_once '../sys/inc/tfoot.php';

?>